using System.Collections.Generic;

using BeWo.Data.Entities;

using BS.Shared.DataContracts;

namespace BeWo.Service.DCEntityMapper
{
    public static class MappingExtensions
    {
        #region Public Methods

        public static SupportConceptCostBearerRelDC MapToNewDC(this CostBearer2SupportConcept ths)
        {
            return MapperFactory.SupportConceptCostBearerRelDC_CostBearer2SupportConcept.MapToNewDC(ths);
        }

        public static SupportConceptApprovalPeriodDC MapToNewDC(this SupportConceptApprovalPeriod ths)
        {
            return MapperFactory.SupportConceptApprovalPeriodDC_SupportConceptApprovalPeriod.MapToNewDC(ths);
        }

        public static List<CostRatePeriodDC> MapToNewDCs(this IEnumerable<CostRatePeriod> ths)
        {
            return MapperFactory.CostRatePeriodDC_CostRatePeriod.MapToNewDCs(ths);
        }

        public static List<ServiceRecordDC> MapToNewDCs(this IEnumerable<ServiceRecord> ths)
        {
            return MapperFactory.ServiceRecordDC_ServiceRecord.MapToNewDCs(ths);
        }

        public static List<ServiceRecordDC> MapToNewDCsCompact(this IEnumerable<ServiceRecord> ths)
        {
            return MapperFactory.ServiceRecordDC_ServiceRecord.MapToNewDCs(ths);
        }
        #endregion
    }
}